Bug 106738 - No test for miptrees with DRI modifiers
Summary: No test for miptrees with DRI modifiers
Status: NEW
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 20:32 UTC by Nanley Chery
Modified: 2018-09-07 18:06 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nanley Chery 2018-05-30 20:32:28 UTC
We currently have a bug in i965 related to modifiers. If the driver imports a tiled bo with a pitch >= 2^15 bytes, the driver will "retile" it to linear during miptree creation. I'll be sending out a fix for this soon.

As far as I'm aware, there isn't a framework that can be used to test this issue. We should have a test to prevent a similar issue from occuring again.
Comment 1 Nanley Chery 2018-07-12 17:18:31 UTC
Miptree retiling seems to have broken screenshotting with 8k+ displays: https://patchwork.freedesktop.org/patch/229507/
Comment 2 Andrés Gómez García 2018-09-07 17:29:04 UTC
Nanley, is this fixed by?

commit 0288fe8d0417730bdd5b3477130dd1dc32bdbcd3
Author: Nanley Chery <nanley.g.chery@intel.com>
Date:   Wed May 30 16:32:07 2018 -0700

    i965/miptree: Use the correct BLT pitch
    
    Retile miptrees to a linear tiling less often. Retiling can cause issues
    with imported BOs.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=106738
    Suggested-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: <mesa-stable@lists.freedesktop.org>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 3 Andrés Gómez García 2018-09-07 18:06:49 UTC
(In reply to Andrés Gómez García from comment #2)
> Nanley, is this fixed by?

[...]

My bad, I just realized that the report is about a missing piglit test.

In that case, shouldn't we move this report to the "piglit" product?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.